From 41e9df869d6d0e5b5e9bce90851e15fccdc51215 Mon Sep 17 00:00:00 2001
From: Sergey Larin <cerg2010cerg2010@mail.ru>
Date: Sun, 10 Feb 2019 13:19:50 +0300
Subject: [PATCH] ARM: dts: tegra20-glide: Add touchkey binding

This commit adds touchkey binding for Melfas MCS5080

Signed-off-by: Sergey Larin <cerg2010cerg2010@mail.ru>
---
 arch/arm/boot/dts/tegra20-glide.dts | 12 +++++++++---
 1 file changed, 9 insertions(+), 3 deletions(-)

diff --git a/arch/arm/boot/dts/tegra20-glide.dts b/arch/arm/boot/dts/tegra20-glide.dts
index f1909f55d8e3..89f0002789ea 100644
--- a/arch/arm/boot/dts/tegra20-glide.dts
+++ b/arch/arm/boot/dts/tegra20-glide.dts
@@ -762,6 +762,8 @@
 					regulator-name = "nvvdd_ldo20,t_key_3v0";
 					regulator-min-microvolt = <3000000>;
 					regulator-max-microvolt = <3000000>;
+					regulator-always-on;
+					regulator-boot-on;
 				};
 
 				out5v {
@@ -1001,10 +1003,14 @@
 		#address-cells = <1>;
 		#size-cells = <0>;
 
-		/* Not supported - no driver */
-		/* melfas-touchkey@20 {
+		melfas-touchkey@20 {
+			compatible = "mcs5080_touchkey";
 			reg = <0x20>;
-		}; */
+			interrupt-parent = <&gpio>;
+			interrupts = <TEGRA_GPIO(Q, 4) IRQ_TYPE_EDGE_FALLING>;
+			key_maxval = <4>;
+			linux,code = <KEY_MENU KEY_HOME KEY_BACK KEY_SEARCH>;
+		};
 	};
 
 	i2c@20 {
-- 
2.22.0

